##############  TV advertising data ############
######## Linglong Kong @ Edmonton May 10, 2016 ########

TVadData = read.csv("/Volumes/MHD2/Study/2016/project/StatWorkshop/R_code1/Advertising.csv")  # read csv file

attach(TVadData)

###### Simple linear regression
 
TVadlm = lm(Sales~TV)
summary(TVadlm)

plot(TV,Sales, col='red',pch =16)
abline(TVadlm,lwd=2,col='blue')
fits = predict(TVadlm)
# for (i in 1:length(fits)){
	# lines(c(TV[i], TV[i]),c(Sales[i], fits[i]),col='grey')
# }

#### Multiple linear regression

TVadlm = lm(Sales~TV+Radio+Newspaper)
summary(TVadlm)

newdata = data.frame(TVadData[1,])
predict(TVadlm, newdata, interval="c", level=0.95)
predict(TVadlm, newdata, interval="p", level=0.95)

TVadlm0 = lm(Sales~TV)
summary(TVadlm0)

anova(TVadlm0,TVadlm)

####################### end of code ##########################