##############  oats data ############
######## Linglong Kong @ Edmonton May 10, 2016 ########

library(MASS)
# install.package(MASS)
data(oats)
names(oats) = c('block', 'variety', 'nitrogen', 'yield')
oats$mainplot = oats$variety
oats$subplot = oats$nitrogen
 
summary(oats)

oats

library(nlme)
# install.package(nlme)
m0.nlme = lme(yield ~ variety*nitrogen, random = ~1|block,data = oats)
summary(m0.nlme)
anova(m0.nlme)
m0.nlme$coef

m1.nlme = lme(yield ~ variety*nitrogen,random = ~ 1|block/mainplot,data = oats)
 
summary(m1.nlme)
anova(m1.nlme)
m1.nlme$coef

anova(m0.nlme,m1.nlme)

####################### end of code ##########################